## org.eclipse.emf.edit.provider
Interface IStructuredItemContentProvider

All Known Subinterfaces:
  ITreeItemContentProvider

All Known Implementing Classes:
  AdapterFactoryItemDelegator, AttributeValueWrapperItemProvider, ChangeDescriptionItemProvider, ComplexTypeConverterItemProvider, DelegatingWrapperItemProvider, EAnnotationItemProvider, EAttributeItemProvider, EClassifierItemProvider, EClassItemProvider, Ecore2EcoreMappingRootItemProvider, EDataTypeItemProvider, EEnumItemProvider, EEnumLiteralItemProvider, EFactoryItemProvider, EGenericTypeItemProvider, EModelElementItemProvider, ENamedElementItemProvider, ENamedElementToXMLInfoMapEntryItemProvider, EObjectItemProvider, EObjectToChangesMapEntryItemProvider, EOperationItemProvider, EPackageItemProvider, EParameterItemProvider, EReferenceItemProvider, EStringToStringMapEntryItemProvider, EStructuralFeatureItemProvider, ETypedElementItemProvider, ETypeParameterItemProvider, FeatureChangeItemProvider, FeatureMapEntryItemProvider, FeatureMapEntryWrapperItemProvider, FunctionNamePairItemProvider, FunctionPairItemProvider, GenAnnotationItemProvider, GenBaseItemProvider, GenClassItemProvider, GenDataTypeItemProvider, GenEnumItemProvider, GenEnumLiteralItemProvider, GenFeatureItemProvider, GenModelItemProvider, GenOperationItemProvider, GenPackageItemProvider, ItemPropertyDescriptor.ItemDelegator, ItemProvider, ListChangeItemProvider, MappedObjectItemProvider, MappingHelperItemProvider, MappingItemProvider, MappingRootItemProvider, MappingStrategyItemProvider, ReflectiveItemProvider, ResourceChangeItemProvider, ResourceItemProvider, ResourceSetItemProvider, TreeNodeItemProvider, TypeConverterItemProvider, XMLInfoItemProvider, XMLMapItemProvider

    public interface IStructuredItemContentProvider

This is the interface needed to populate the top level items in a TreeViewer, the items of a ListViewer, or the rows of a TableViewer.

Method Summary
`java.util.Collection<?>` `getElements(java.lang.Object object)` This does the same thing as IStructuredContentProvider.getElements.

Method Detail

### getElements

    java.util.Collection<?> getElements(java.lang.Object object)

  This does the same thing as IStructuredContentProvider.getElements.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.